
/****************************************************************************************
#  Copyright (c) 2011, ALES S.r.l. - Via C. Bartolomeo Piazza 13, 00161 Roma Italy      #
#  Developed with the sponsorship of the Defense Advanced Research Projects             #
#  Agency (DARPA).                                                                      #
#                                                                                       #
#  Delivered to the Government with Unlimited Rights under Contract #FA8650-10-C-7074.  #
#                                                                                       #
#  THE DATA IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR               #
#  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,             #
#  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE          #
#  AUTHORS, SPONSORS, DEVELOPERS, CONTRIBUTORS, OR COPYRIGHT HOLDERS BE LIABLE          #
#  FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF                   #
#  CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE          #
#  DATA OR THE USE OR OTHER DEALINGS IN THE DATA.                                       #
****************************************************************************************/

package com.eu.ales.rpyplugins.impl;

import com.eu.ales.rpyplugins.MStereotype;
import com.eu.ales.rpyplugins.RpypluginsPackage;

import org.eclipse.emf.common.notify.Notification;

import org.eclipse.emf.ecore.EClass;

import org.eclipse.emf.ecore.impl.ENotificationImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>MStereotype</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link com.eu.ales.rpyplugins.impl.MStereotypeImpl#getIsNewTerm <em>Is New Term</em>}</li>
 *   <li>{@link com.eu.ales.rpyplugins.impl.MStereotypeImpl#getOfMetaClass <em>Of Meta Class</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class MStereotypeImpl extends MClassifierImpl implements MStereotype {
	/**
	 * The default value of the '{@link #getIsNewTerm() <em>Is New Term</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIsNewTerm()
	 * @generated
	 * @ordered
	 */
	protected static final int IS_NEW_TERM_EDEFAULT = 0;

	/**
	 * The cached value of the '{@link #getIsNewTerm() <em>Is New Term</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIsNewTerm()
	 * @generated
	 * @ordered
	 */
	protected int isNewTerm = IS_NEW_TERM_EDEFAULT;

	/**
	 * The default value of the '{@link #getOfMetaClass() <em>Of Meta Class</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOfMetaClass()
	 * @generated
	 * @ordered
	 */
	protected static final String OF_META_CLASS_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOfMetaClass() <em>Of Meta Class</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOfMetaClass()
	 * @generated
	 * @ordered
	 */
	protected String ofMetaClass = OF_META_CLASS_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected MStereotypeImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return RpypluginsPackage.Literals.MSTEREOTYPE;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public int getIsNewTerm() {
		return isNewTerm;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIsNewTerm(int newIsNewTerm) {
		int oldIsNewTerm = isNewTerm;
		isNewTerm = newIsNewTerm;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, RpypluginsPackage.MSTEREOTYPE__IS_NEW_TERM, oldIsNewTerm, isNewTerm));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOfMetaClass() {
		return ofMetaClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOfMetaClass(String newOfMetaClass) {
		String oldOfMetaClass = ofMetaClass;
		ofMetaClass = newOfMetaClass;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, RpypluginsPackage.MSTEREOTYPE__OF_META_CLASS, oldOfMetaClass, ofMetaClass));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case RpypluginsPackage.MSTEREOTYPE__IS_NEW_TERM:
				return getIsNewTerm();
			case RpypluginsPackage.MSTEREOTYPE__OF_META_CLASS:
				return getOfMetaClass();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case RpypluginsPackage.MSTEREOTYPE__IS_NEW_TERM:
				setIsNewTerm((Integer)newValue);
				return;
			case RpypluginsPackage.MSTEREOTYPE__OF_META_CLASS:
				setOfMetaClass((String)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case RpypluginsPackage.MSTEREOTYPE__IS_NEW_TERM:
				setIsNewTerm(IS_NEW_TERM_EDEFAULT);
				return;
			case RpypluginsPackage.MSTEREOTYPE__OF_META_CLASS:
				setOfMetaClass(OF_META_CLASS_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case RpypluginsPackage.MSTEREOTYPE__IS_NEW_TERM:
				return isNewTerm != IS_NEW_TERM_EDEFAULT;
			case RpypluginsPackage.MSTEREOTYPE__OF_META_CLASS:
				return OF_META_CLASS_EDEFAULT == null ? ofMetaClass != null : !OF_META_CLASS_EDEFAULT.equals(ofMetaClass);
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (isNewTerm: ");
		result.append(isNewTerm);
		result.append(", ofMetaClass: ");
		result.append(ofMetaClass);
		result.append(')');
		return result.toString();
	}

} //MStereotypeImpl
