
/****************************************************************************************
#  Copyright (c) 2011, ALES S.r.l. - Via C. Bartolomeo Piazza 13, 00161 Roma Italy      #
#  Developed with the sponsorship of the Defense Advanced Research Projects             #
#  Agency (DARPA).                                                                      #
#                                                                                       #
#  Delivered to the Government with Unlimited Rights under Contract #FA8650-10-C-7074.  #
#                                                                                       #
#  THE DATA IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR               #
#  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,             #
#  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE          #
#  AUTHORS, SPONSORS, DEVELOPERS, CONTRIBUTORS, OR COPYRIGHT HOLDERS BE LIABLE          #
#  FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF                   #
#  CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE          #
#  DATA OR THE USE OR OTHER DEALINGS IN THE DATA.                                       #
****************************************************************************************/

/*********************************************************************
	Rhapsody	: 7.5.3 
	Login		: levg
	Component	: DefaultComponent 
	Configuration 	: DefaultConfig
	Model Element	: Default
//!	Generated Date	: Thu, 14, Jul 2011  
	File Path	: DefaultComponent\DefaultConfig\Default.h
*********************************************************************/

#ifndef Default_H
#define Default_H

//## auto_generated
#include <oxf\oxf.h>
//## auto_generated
#include <..\Profiles\SysML\SIDefinitions.h>
//## auto_generated
class Controller;

//## classInstance FailuresScheduler
class FailuresScheduler_C;

//## auto_generated
class FaultHandler;

//## classInstance APU
class Generator;

//## classInstance LoadL
class Load;

//## classInstance MissionScenario
class Scenario;

//## classInstance SW1
class Switch;

//## classInstance TL1
class TL;

//## classInstance itsThermalAlg
class ThermalAlg;

//## classInstance ThermEnv
class ThermalEnv;

//## package Default


//## classInstance APU
extern Generator APU;

//## classInstance FailuresScheduler
extern FailuresScheduler_C FailuresScheduler;

//## classInstance GenL
extern Generator GenL;

//## classInstance GenR
extern Generator GenR;

//## classInstance Inv
extern Generator Inv;

//## classInstance LoadL
extern Load LoadL;

//## classInstance LoadR
extern Load LoadR;

//## classInstance MissionScenario
extern Scenario MissionScenario;

//## classInstance SW1
extern Switch SW1;

//## classInstance SW2
extern Switch SW2;

//## classInstance SW3
extern Switch SW3;

//## classInstance SW4
extern Switch SW4;

//## classInstance SW5
extern Switch SW5;

//## classInstance TL1
extern TL TL1;

//## classInstance TL2
extern TL TL2;

//## classInstance TL3
extern TL TL3;

//## classInstance TL4
extern TL TL4;

//## classInstance TL5
extern TL TL5;

//## classInstance TL6
extern TL TL6;

//## classInstance TL7
extern TL TL7;

//## classInstance ThermEnv
extern ThermalEnv ThermEnv;

//## classInstance itsThermalAlg
extern ThermalAlg itsThermalAlg;

#endif
/*********************************************************************
	File Path	: DefaultComponent\DefaultConfig\Default.h
*********************************************************************/
