set baseDir=%CD%
set jarDir=%baseDir%\Java\MetaII\Java
set eclipseJarDir=%jarDir%\eclipse
set rootDir=Java\MetaII\Profiles
set basePkg=com.eu.ales.rpyplugins

set baseName=Desyre2Modelica
set pluginName=%baseName%
set pluginNameRpy=%pluginName%_rpy
set invokeName=%pluginName%
set javaPkg=desyre2modelica

if exist %rootDir%\%pluginName% goto L01
mkdir %rootDir%\%pluginName%
:L01
if exist %rootDir%\%pluginName%\%pluginNameRpy% goto L02
mkdir %rootDir%\%pluginName%\%pluginNameRpy%
:L02

call "genhep.bat" %rootDir%\%pluginName%\%pluginNameRpy%\%pluginName%Profile.hep %invokeName% %basePkg%.%javaPkg%.%baseName%PlugIn %jarDir% %eclipseJarDir%

set baseName=DesyreGenerator
set pluginName=%baseName%
set pluginNameRpy=%pluginName%_rpy
set invokeName=%pluginName%
set javaPkg=desyregenerator

if exist %rootDir%\%pluginName% goto L11
mkdir %rootDir%\%pluginName%
:L11
if exist %rootDir%\%pluginName%\%pluginNameRpy% goto L12
mkdir %rootDir%\%pluginName%\%pluginNameRpy%
:L12

call "genhep.bat" %rootDir%\%pluginName%\%pluginNameRpy%\%pluginName%Profile.hep %invokeName% %basePkg%.%javaPkg%.%baseName%PlugIn %jarDir% %eclipseJarDir%

set baseName=MetaII2Desyre
set pluginName=%baseName%
set pluginNameRpy=%pluginName%_rpy
set invokeName=%pluginName%
set javaPkg=metaii2desyre

if exist %rootDir%\%pluginName% goto L21
mkdir %rootDir%\%pluginName%
:L21
if exist %rootDir%\%pluginName%\%pluginNameRpy% goto L22
mkdir %rootDir%\%pluginName%\%pluginNameRpy%
:L22

call "genhep.bat" %rootDir%\%pluginName%\%pluginNameRpy%\%pluginName%Profile.hep %invokeName% %basePkg%.%javaPkg%.%baseName%PlugIn %jarDir% %eclipseJarDir%

set baseName=MetaII2Desyre
set pluginName=%baseName%Flow
set pluginNameRpy=%pluginName%_rpy
set invokeName=%baseName%All
set javaPkg=flows.metaii2desyre

if exist %rootDir%\%pluginName% goto L31
mkdir %rootDir%\%pluginName%
:L31
if exist %rootDir%\%pluginName%\%pluginNameRpy% goto L32
mkdir %rootDir%\%pluginName%\%pluginNameRpy%
:L32

call "genhep.bat" %rootDir%\%pluginName%\%pluginNameRpy%\%pluginName%Profile.hep %invokeName% %basePkg%.%javaPkg%.%baseName%PlugIn %jarDir% %eclipseJarDir%

set baseName=MetaIIValidator
set pluginName=%baseName%
set pluginNameRpy=%pluginName%_rpy
set invokeName=%pluginName%
set javaPkg=metaiivalidator

if exist %rootDir%\%pluginName% goto L41
mkdir %rootDir%\%pluginName%
:L41
if exist %rootDir%\%pluginName%\%pluginNameRpy% goto L42
mkdir %rootDir%\%pluginName%\%pluginNameRpy%
:L42

call "genhep.bat" %rootDir%\%pluginName%\%pluginNameRpy%\%pluginName%Profile.hep %invokeName% %basePkg%.%javaPkg%.%baseName%PlugIn %jarDir% %eclipseJarDir%

set baseName=ModelicaGenerator
set pluginName=%baseName%
set pluginNameRpy=%pluginName%_rpy
set invokeName=%pluginName%
set javaPkg=modelicagenerator

if exist %rootDir%\%pluginName% goto L51
mkdir %rootDir%\%pluginName%
:L51
if exist %rootDir%\%pluginName%\%pluginNameRpy% goto L52
mkdir %rootDir%\%pluginName%\%pluginNameRpy%
:L52

call "genhep.bat" %rootDir%\%pluginName%\%pluginNameRpy%\%pluginName%Profile.hep %invokeName% %basePkg%.%javaPkg%.%baseName%PlugIn %jarDir% %eclipseJarDir%

set baseName=RpyParser
set pluginName=%baseName%
set pluginNameRpy=%pluginName%_rpy
set invokeName=MetaIIParser
set javaPkg=rpyparser

if exist %rootDir%\%pluginName% goto L61
mkdir %rootDir%\%pluginName%
:L61
if exist %rootDir%\%pluginName%\%pluginNameRpy% goto L62
mkdir %rootDir%\%pluginName%\%pluginNameRpy%
:L62

call "genhep.bat" %rootDir%\%pluginName%\%pluginNameRpy%\%pluginName%Profile.hep %invokeName% %basePkg%.%javaPkg%.%baseName%PlugIn %jarDir% %eclipseJarDir%
