
/****************************************************************************************
#  Copyright (c) 2011, ALES S.r.l. - Via C. Bartolomeo Piazza 13, 00161 Roma Italy      #
#  Developed with the sponsorship of the Defense Advanced Research Projects             #
#  Agency (DARPA).                                                                      #
#                                                                                       #
#  Delivered to the Government with Unlimited Rights under Contract #FA8650-10-C-7074.  #
#                                                                                       #
#  THE DATA IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR               #
#  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,             #
#  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE          #
#  AUTHORS, SPONSORS, DEVELOPERS, CONTRIBUTORS, OR COPYRIGHT HOLDERS BE LIABLE          #
#  FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF                   #
#  CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE          #
#  DATA OR THE USE OR OTHER DEALINGS IN THE DATA.                                       #
****************************************************************************************/

package com.eu.ales.rpyplugins;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>MPackage</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link com.eu.ales.rpyplugins.MPackage#getMClasses <em>MClasses</em>}</li>
 *   <li>{@link com.eu.ales.rpyplugins.MPackage#getMLinks <em>MLinks</em>}</li>
 *   <li>{@link com.eu.ales.rpyplugins.MPackage#getMTypes <em>MTypes</em>}</li>
 *   <li>{@link com.eu.ales.rpyplugins.MPackage#getMPackages <em>MPackages</em>}</li>
 * </ul>
 * </p>
 *
 * @see com.eu.ales.rpyplugins.RpypluginsPackage#getMPackage()
 * @model
 * @generated
 */
public interface MPackage extends MUnit {
	/**
	 * Returns the value of the '<em><b>MClasses</b></em>' reference list.
	 * The list contents are of type {@link com.eu.ales.rpyplugins.MClass}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>MClasses</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>MClasses</em>' reference list.
	 * @see com.eu.ales.rpyplugins.RpypluginsPackage#getMPackage_MClasses()
	 * @model
	 * @generated
	 */
	EList<MClass> getMClasses();

	/**
	 * Returns the value of the '<em><b>MLinks</b></em>' reference list.
	 * The list contents are of type {@link com.eu.ales.rpyplugins.MLink}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>MLinks</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>MLinks</em>' reference list.
	 * @see com.eu.ales.rpyplugins.RpypluginsPackage#getMPackage_MLinks()
	 * @model
	 * @generated
	 */
	EList<MLink> getMLinks();

	/**
	 * Returns the value of the '<em><b>MTypes</b></em>' reference list.
	 * The list contents are of type {@link com.eu.ales.rpyplugins.MType}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>MTypes</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>MTypes</em>' reference list.
	 * @see com.eu.ales.rpyplugins.RpypluginsPackage#getMPackage_MTypes()
	 * @model
	 * @generated
	 */
	EList<MType> getMTypes();

	/**
	 * Returns the value of the '<em><b>MPackages</b></em>' reference list.
	 * The list contents are of type {@link com.eu.ales.rpyplugins.MPackage}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>MPackages</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>MPackages</em>' reference list.
	 * @see com.eu.ales.rpyplugins.RpypluginsPackage#getMPackage_MPackages()
	 * @model
	 * @generated
	 */
	EList<MPackage> getMPackages();

} // MPackage
