
/****************************************************************************************
#  Copyright (c) 2011, ALES S.r.l. - Via C. Bartolomeo Piazza 13, 00161 Roma Italy      #
#  Developed with the sponsorship of the Defense Advanced Research Projects             #
#  Agency (DARPA).                                                                      #
#                                                                                       #
#  Delivered to the Government with Unlimited Rights under Contract #FA8650-10-C-7074.  #
#                                                                                       #
#  THE DATA IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR               #
#  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,             #
#  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE          #
#  AUTHORS, SPONSORS, DEVELOPERS, CONTRIBUTORS, OR COPYRIGHT HOLDERS BE LIABLE          #
#  FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF                   #
#  CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE          #
#  DATA OR THE USE OR OTHER DEALINGS IN THE DATA.                                       #
****************************************************************************************/

/********************************************************************
	Rhapsody	: 7.5.3 
	Login		: levg
	Component	: DefaultComponent 
	Configuration 	: DefaultConfig
	Model Element	: Default
//!	Generated Date	: Thu, 14, Jul 2011  
	File Path	: DefaultComponent\DefaultConfig\Default.cpp
*********************************************************************/

//## auto_generated
#include "Default.h"
//## classInstance FailuresScheduler
#include "FailuresScheduler.h"
//## classInstance APU
#include "Generator.h"
//## classInstance LoadL
#include "Load.h"
//## classInstance MissionScenario
#include "Scenario.h"
//## classInstance SW1
#include "Switch.h"
//## classInstance itsThermalAlg
#include "ThermalAlg.h"
//## classInstance ThermEnv
#include "ThermalEnv.h"
//## classInstance TL1
#include "TL.h"
//## auto_generated
#include "Controller.h"
//## auto_generated
#include "FaultHandler.h"
//## package Default


//## classInstance APU
Generator APU;

//## classInstance FailuresScheduler
FailuresScheduler_C FailuresScheduler;

//## classInstance GenL
Generator GenL;

//## classInstance GenR
Generator GenR;

//## classInstance Inv
Generator Inv;

//## classInstance LoadL
Load LoadL;

//## classInstance LoadR
Load LoadR;

//## classInstance MissionScenario
Scenario MissionScenario;

//## classInstance SW1
Switch SW1;

//## classInstance SW2
Switch SW2;

//## classInstance SW3
Switch SW3;

//## classInstance SW4
Switch SW4;

//## classInstance SW5
Switch SW5;

//## classInstance TL1
TL TL1;

//## classInstance TL2
TL TL2;

//## classInstance TL3
TL TL3;

//## classInstance TL4
TL TL4;

//## classInstance TL5
TL TL5;

//## classInstance TL6
TL TL6;

//## classInstance TL7
TL TL7;

//## classInstance ThermEnv
ThermalEnv ThermEnv;

//## classInstance itsThermalAlg
ThermalAlg itsThermalAlg;

/*********************************************************************
	File Path	: DefaultComponent\DefaultConfig\Default.cpp
*********************************************************************/
